=== debian/changelog ===
caml-mode (4.06-2) unstable; urgency=medium
 
  * Upload to unstable for the transition from ocaml 4.05 to 4.08, which
    no longer distributes ocaml-mode (closes: #920229)
  * Standards-Version 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Nov 2019 08:10:28 +0100

caml-mode (4.06-1) experimental; urgency=medium

  * Initial package (closes: #933241).
    This used to be part of the ocaml release until ocaml 4.05.

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Aug 2019 15:07:50 +0200
