=== debian/control ===
Source: caml-mode
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper-compat (= 12), dh-elpa
Standards-Version: 4.4.1
Homepage: https://github.com/ocaml/caml-mode
Vcs-Git: https://salsa.debian.org/ocaml-team/caml-mode.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/caml-mode

Package: elpa-caml
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends} 
Replaces: ocaml-mode (<< 4.06)
Breaks: ocaml-mode (<< 4.06)
Description: emacs mode for editing OCaml programs
 Objective Caml (OCaml) is an implementation of the ML language, based on
 the Caml Light dialect extended with a complete class-based object system
 and a powerful module system in the style of Standard ML.
 .
 This package provides support for editing both Objective Caml and
 Caml Light programs with Emacs and XEmacs.
 .
 Caml-mode supports:
  - indentation
  - compilation and error retrieving
  - interaction with the toplevel
  - font-lock
  - imenu

Package: ocaml-mode
Architecture: all
Depends: elpa-caml, ${misc:Depends}
Section: oldlibs
Description: transitional package to elpa-caml
 This is a transitional package from the old ocaml-mode to the
 new elpa-caml package. It can be safely removed.
