=== debian/changelog ===
caml-mode (4.9-4) unstable; urgency=medium

  * Upload to recompile against new dh-elpa (closes: #1077093)
  * Standards-version 4.7.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 26 Jul 2024 08:38:22 +0200

caml-mode (4.9-3) unstable; urgency=medium

  * Add file activate-caml-mode which a user can load to activate the mode
    on OCaml files. Add a README file to explain this.
  * Rephrase the package description.

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Jul 2023 21:47:37 +0200

caml-mode (4.9-2) unstable; urgency=medium

  [ Ralf Treinen ]
  * New upstream version
  * Refreshed patch make-pkg-file
  * Add file debian/watch
  * Standards-Version 4.6.2 (no change)
  * Debhelper compatibility level 13 (no change)
  * Set Rules-Requires-Root = no
  * Drop transitional package ocaml-mode (closes: 1038228)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 Jun 2023 20:04:30 +0200
