=== debian/control ===
Source: caml-mode
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>,
Build-Depends: debhelper-compat (= 13), dh-elpa
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/ocaml/caml-mode
Vcs-Git: https://salsa.debian.org/ocaml-team/caml-mode.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/caml-mode

Package: elpa-caml
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Replaces: ocaml-mode (<< 4.06)
Breaks: ocaml-mode (<< 4.06)
Description: emacs mode for editing OCaml programs
 OCaml (Objective Caml) is a programming language featuring functional
 programming, mutable data structures, algebraic data types, and type
 inference.
 .
 This package provides caml-mode for editing OCaml programs with Emacs
 and XEmacs. It also works on Caml Light, the predecessor language of
 OCaml.
 .
 Caml-mode supports:
  - indentation
  - compilation and error retrieving
  - interaction with the toplevel
  - font-lock
  - imenu
 .
 Another popular emacs mode for editing OCaml files is tuareg,
 available through the elpa-tuareg package.
