=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	$(MAKE) caml-pkg.el
	dh_auto_build

override_dh_auto_install:
	# do not execute upstream "make install"
