=== debian/watch ===
version=4
https://github.com/ocaml/caml-mode/tags .*/(\d\S*)\.tar\.gz
